Skip to main content
GET
Get Webhook Endpoint

Authorizations

Authorization
string
header
required

Send an account API key in the Authorization: Bearer <key> header.

Headers

OpenPMM-Request-Id
string

Optional request ID. OpenPMM returns this value when it is valid. Otherwise, OpenPMM creates a request ID.

Maximum string length: 128

Path Parameters

workspace_id
string
required

Unique workspace ID.

Example:

"ws_01JABCDEF"

endpoint_id
string
required

Unique webhook endpoint ID.

Example:

"wh_01JABCDEF"

Response

The webhook endpoint.

id
string
required

Unique webhook endpoint ID.

Example:

"wh_01JABCDEF"

object
string
required
Allowed value: "webhook_endpoint"
name
string
required
url
string<uri>
required

Full webhook delivery URL.

enabled
boolean
required
event_types
enum<string>[]
required
Available options:
post.published,
post.failed,
post.awaiting-provider,
post.needs-attention
destination_filter_mode
enum<string>
required
Available options:
all,
selected
destination_ids
string[]
required

Unique destination ID.

content_mode
enum<string>
required
Available options:
metadata,
full
secret_last_four
string
required
Required string length: 4
previous_secret_expires_at
string<date-time> | null
required
Example:

"2026-08-09T12:00:00.000Z"

config_version
integer
required
Required range: x >= 1
created_at
string<date-time>
required
Example:

"2026-08-09T12:00:00.000Z"

updated_at
string<date-time>
required
Example:

"2026-08-09T12:00:00.000Z"